sdr::SinkBase Class Referenceabstract

Basic interface of all Sinks. More...

`#include <node.hh>`

Inheritance diagram for sdr::SinkBase:

## Public Member Functions

| SinkBase ()
| Constructor. More...
virtual | ~SinkBase ()
| Destructor. More...
virtual void | handleBuffer (const RawBuffer &buffer, bool allow_overwrite)=0
| Needs to be implemented by any sub-type to process the received data. More...
virtual void | config (const Config &src_cfg)=0
| Needs to be implemented by any sub-type to check and perform the configuration of the node. More...

## Detailed Description

Basic interface of all Sinks.

Usually, sinks are derived from the `Sink` template.

## Constructor & Destructor Documentation

SinkBase::SinkBase | ( |  | ) |

Constructor.

SinkBase::~SinkBase | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

virtual void sdr::SinkBase::config | ( | const Config & | src_cfg | ) |

pure virtual

Needs to be implemented by any sub-type to check and perform the configuration of the node.

Implemented in sdr::TextDump, sdr::DebugDump< Scalar >, sdr::DebugStore< Scalar >, sdr::AGC< Scalar >, sdr::Scale< Scalar >, sdr::StreamSink< Scalar >, sdr::FreqShift< Scalar >, sdr::SignedToUnsigned, sdr::UnsignedToSigned, sdr::BaseBand< Scalar >, sdr::Proxy, sdr::FMDeemph< Scalar >, sdr::Varicode, sdr::Cast< iScalar, oScalar >, sdr::ToComplex< iScalar, oScalar >, sdr::InpolSubSampler< iScalar, oScalar >, sdr::FMDemod< iScalar, oScalar >, sdr::BitDump, sdr::FIRFilter< Scalar, FilterCoeffs >, sdr::FIRFilter< Scalar, FIRBandPassCoeffs >, sdr::FIRFilter< Scalar, FIRBandStopCoeffs >, sdr::FIRFilter< Scalar, FIRHighPassCoeffs >, sdr::FIRFilter< Scalar, FIRLowPassCoeffs >, sdr::IQBalance< Scalar >, sdr::BitStream, sdr::FilterSource< Scalar >, sdr::IQBaseBand< Scalar >, sdr::USBDemod< Scalar >, sdr::POCSAG, sdr::ASKDetector< Scalar >, sdr::BPSK31< Scalar >, sdr::WavSink< Scalar >, sdr::FilterSink< Scalar >, sdr::PortSink, sdr::Baudot, sdr::SubSample< Scalar >, sdr::AMDemod< Scalar >, sdr::CombineSink< Scalar >, sdr::BufferNode< Scalar >, sdr::BufferNode< std::complex< Scalar > >, sdr::RealImagPart< Scalar >, sdr::AX25, sdr::FSKDetector, and sdr::AutoCast< Scalar >.

virtual void sdr::SinkBase::handleBuffer | ( | const RawBuffer & | buffer,
|  | bool | allow_overwrite
| ) |  |

pure virtual

Needs to be implemented by any sub-type to process the received data.

Implemented in sdr::SignedToUnsigned, sdr::UnsignedToSigned, sdr::Proxy, sdr::Sink< Scalar >, sdr::Sink< int16_t >, sdr::Sink< std::complex< Scalar > >, sdr::Sink< std::complex< iScalar > >, sdr::Sink< uint8_t >, sdr::Sink< iScalar >, sdr::AutoCast< Scalar >, and sdr::PortSink.

The documentation for this class was generated from the following files:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/node.hh
- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/node.cc